<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('products', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->biginteger('product_catalog_id')->default(0);
            $table->boolean('is_front_show')->default(true);
            $table->dateTime('post_at')->useCurrent();
            $table->text('seo_title')->nullable();
            $table->text('seo_keyword')->nullable();
            $table->text('seo_description')->nullable();
            $table->text('tip');
            $table->text('title');
            $table->text('description')->nullable();
            $table->text('body')->nullable();
            $table->text('feature_overview')->nullable();
            $table->text('feature_spec')->nullable();
            $table->text('photo')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('products');
    }
}
